// pages/autho/index.js 
const app = getApp() 
 
Page({ 
 
  /** 
   * 页面的初始数据 
   */ 
  data: { 
 
  }, 
  onLoad :function (params) { 
    wx.removeStorage({ 
      key: 'oldHotelinfo', 
      success (res) { 
        console.log('清除历史酒店信息~') 
      } 
    }) 
    this.SQ(); 
  }, 
  SQ:function(params) { 
    app.SQ(isok=>{ 
    if(isok){ 
      console.log(params) 
      app.userLogin(()=>{ 
        //登录成功~ 
        wx.reLaunch({ 
          url: "../index/index", 
        }) 
      }); 
    }else{ 
      app.getFuzzyLocations(function (params) { 
        console.log(params) 
        app.userLogin(()=>{ 
          //登录成功~ 
          wx.reLaunch({ 
            url: "../index/index", 
          }) 
        }); 
      }, 
      ()=>{ 
        wx.showToast({ 
          title: '拒绝将无法进入~', 
          showCancel:false, 
          icon:"error" 
        }) 
      }) 
    };} 
    ) 
  }, 
  /** 
   * 生命周期函数--监听页面加载 
   */ 
 
  /** 
   * 生命周期函数--监听页面初次渲染完成 
   */ 
  onReady: function () { 
 
  }, 
 
  /** 
   * 生命周期函数--监听页面显示 
   */ 
  onShow: function () { 
 
  }, 
 
  /** 
   * 生命周期函数--监听页面隐藏 
   */ 
  onHide: function () { 
 
  }, 
 
  /** 
   * 生命周期函数--监听页面卸载 
   */ 
  onUnload: function () { 
 
  }, 
 
  /** 
   * 页面相关事件处理函数--监听用户下拉动作 
   */ 
  onPullDownRefresh: function () { 
 
  }, 
 
  /** 
   * 页面上拉触底事件的处理函数 
   */ 
  onReachBottom: function () { 
 
  }, 
 
  /** 
   * 用户点击右上角分享 
   */ 
  onShareAppMessage: function () { 
 
  } 
})
